
"use client"
import { useTranslations } from "next-intl";
import {
  Components,
  DashBoard,
  ClipBoard,
  Note,
} from "@/components/svg";
import { useEffect } from "react";


import AccountCircleIcon from '@mui/icons-material/AccountCircle';
import SettingsIcon from '@mui/icons-material/Settings';
import PaidIcon from '@mui/icons-material/Paid';
import NotificationsIcon from '@mui/icons-material/Notifications';
import NewspaperIcon from '@mui/icons-material/Newspaper';
import WalletIcon from '@mui/icons-material/Wallet';
import LockResetIcon from '@mui/icons-material/LockReset';
import FiberPinIcon from '@mui/icons-material/FiberPin';
import AdminPanelSettingsIcon from '@mui/icons-material/AdminPanelSettings';
import MailIcon from '@mui/icons-material/Mail';
import ContrastIcon from '@mui/icons-material/Contrast';
import AddIcon from '@mui/icons-material/Add';
import ListIcon from '@mui/icons-material/List';
import AccountBalanceIcon from '@mui/icons-material/AccountBalance';
import AccountBalanceWalletIcon from '@mui/icons-material/AccountBalanceWallet';
import MessageIcon from '@mui/icons-material/Message';
import RoomServiceIcon from '@mui/icons-material/RoomService';
import { IndianRupee } from "lucide-react";
import { CurrencyExchangeOutlined, FileCopyRounded, Image, PieChartSharp, Report } from "@mui/icons-material";


const useMenusConfig = () => {


  const t = useTranslations("Menu");
  // useEffect(() => {
  //   t()
  // }, []);

  return {
    sidebarNav: {
      modern: [
        {
          title: t("Dashboard"),
          icon: DashBoard,
          href: "/admin/dashboard",
          // child: [
          //   {
          //     title: t("Admin_Dashboard"),
          //     href: "/admin/dashboard",
          //     icon: DashboardIcon,
          //   },
          //   {
          //     title: t("Services_Dashboard"),
          //     href: "/admin/services",
          //     icon: DashboardIcon,
          //   },
          // ],
        },
        {
          title: t("My_Profile"),
          icon: AccountCircleIcon,
          child: [
            {
              title: t("Profile"),
              href: "/admin/profile",
              icon: AccountCircleIcon,
            },
            {
              title: t("Change_Mpin"),
              href: "/admin/set-new-mpin",
              icon: FiberPinIcon,
            },
            {
              title: t("Change_Password"),
              icon: LockResetIcon,
              href: "/admin/update-password",
            },
            // {
            //   title: t("My_Commission"),
            //   icon: LockResetIcon,
            //   href: "/admin/setting/my-commission/list",
            // },
          ],
        },
        {
          title: t("Members"),
          icon: Components,
          child: [
            {
              title: t("Add_Api_Member"),
              href: "/admin/members/api-user-add",
              icon: AdminPanelSettingsIcon,
            }, {
              title: t("Add_Member"),
              href: "/admin/members/add",
              icon: AdminPanelSettingsIcon,
            },
            {
              title: t("Api_Member_List"),
              href: "/admin/members/api-member-list",
              icon: AdminPanelSettingsIcon,
            },
            {
              title: t("Custom Software"),
              href: "/admin/members/admin-list",
              icon: AdminPanelSettingsIcon,
            },
            {
              title: t("Master_Distributor"),
              href: "/admin/members/master-distributor",
              icon: AdminPanelSettingsIcon,
            },
            {
              title: t("Distributor"),
              icon: AdminPanelSettingsIcon,
              href: "/admin/members/distributor",
            },
            {
              title: t("Retailer"),
              icon: AdminPanelSettingsIcon,
              href: "/admin/members/retailer",
            },
          ],
        },
        {
          title: t("Setting"),
          icon: SettingsIcon,
          child: [
            {
              title: t("API_Setting"),
              icon: SettingsIcon,
              href: "/admin/setting/api/list",
            },
            {
              title: t("Set_Commission"),
              icon: IndianRupee,
              href: "/admin/plan/main-list",
            },
            {
              title: t("Mail_Setting"),
              icon: MailIcon,
              href: "/admin/setting/mail-setting",
            },
            {
              title: t("Theme_Setting"),
              icon: ContrastIcon,
              href: "/admin/setting/theme-setting/1",
            },
            {
              title: t("Services_Setting"),
              icon: RoomServiceIcon,
              href: "/admin/setting/services/add",

            },
            {
              title: t("Ticket_Query_Setting"),
              icon: MessageIcon,
              href: "/admin/query/add",

            },

            {
              title: t("Account_Details"),
              icon: AccountBalanceIcon,
              href: "/admin/setting/account-details",

            },

            // {
            //   title: "Surcharge",
            //   icon: AccountBalanceWalletIcon,
            //   href: "/admin/setting/surcharge/list",


            // },
            {
              title: t("Set Plan Price"),
              icon: AccountBalanceWalletIcon,
              href: "/admin/plan-price-set/list",

            },
            {
              title: t("Beneficiary List"),
              icon: AccountBalanceWalletIcon,
              href: "/admin/beneficiary/list",

            },
            {
              title: t("Slider"),
              icon: Image,
              href: "/admin/slider/list",

            },
          ],
        },
        {
          title: t("Fund"),
          icon: IndianRupee,
          child: [

            {
              title: t("Fund_Request"),
              icon: IndianRupee,
              href: "/admin/fund/list",
            },
            {
              title: t("Add Fund"),
              icon: IndianRupee,
              href: "/admin/fund/fund-credit",
            },
            {
              title: t("Wallet Amount Capping"),
              icon: IndianRupee,
              href: "/admin/fund/wallet-capping",
            },
          ],
        },
        {
          title: t("Notification"),
          icon: NotificationsIcon,
          child: [
            {
              title: t("Send"),
              icon: NotificationsIcon,
              href: "/admin/notification/add",
            },
          ],
        },
        {
          title: t("News"),
          icon: NewspaperIcon,
          child: [
            {
              title: t("Add"),
              icon: AddIcon,
              href: "/admin/news/add",
            },
            {
              title: t("List"),
              icon: ListIcon,
              href: "/admin/news/list",
            },
          ],
        },
        {
          title: t("Ticket"),
          icon: ClipBoard,
          child: [
            {
              title: t("Create"),
              icon: ClipBoard,
              href: "/admin/ticket/create",
            },
            {
              title: t("Answered"),
              icon: ClipBoard,
              href: "/admin/ticket/list/answered",
            },
            {
              title: t("Re_Open"),
              icon: ClipBoard,
              href: "/admin/ticket/list/open",
            },
            {
              title: t("In_Progress"),
              icon: ClipBoard,
              href: "/admin/ticket/list/in-progress",
            },
            {
              title: t("Closed"),
              icon: ClipBoard,
              href: "/admin/ticket/list/closed",
            },
            {
              title: t("Pending_Verification"),
              icon: ClipBoard,
              href: "/admin/ticket/list/pending-verification",
            },
            {
              title: t("All_Tickets"),
              icon: ClipBoard,
              href: "/admin/ticket/list/all-tickets",
            },
          ],
        },
        {
          title: t("Account"),
          icon: WalletIcon,
          href: "/admin/wallets-history/list",
        },
        {
          title: t("API_Txn"),
          icon: WalletIcon,
          child: [
            {
              title: t("All"),
              icon: Note,
              href: "/admin/transaction-history/list/all?userType=api",
            },

            {
              title: t("Success"),
              icon: Note,
              href: "/admin/transaction-history/list/success?userType=api",
            },
            {
              title: t("Pending"),
              icon: Note,
              href: "/admin/transaction-history/list/pending?userType=api",
            },
            {
              title: t("Failed"),
              icon: Note,
              href: "/admin/transaction-history/list/failed?userType=api",
            },
            {
              title: t("Hold"),
              icon: Note,
              href: "/admin/transaction-history/list/hold?userType=api",
            },
            {
              title: t("TDS"),
              icon: Note,
              href: "/admin/transaction-history/list/tds?userType=api",
            },
            {
              title: t("GST"),
              icon: Note,
              href: "/admin/transaction-history/list/gst?userType=api",
            },
          ],
        },
        {
          title: t("User_Txn"),
          icon: WalletIcon,
          child: [
            {
              title: t("All"),
              icon: Note,
              href: "/admin/transaction-history/list/all?userType=user",
            },

            {
              title: t("Success"),
              icon: Note,
              href: "/admin/transaction-history/list/success?userType=user",
            },
            {
              title: t("Pending"),
              icon: Note,
              href: "/admin/transaction-history/list/pending?userType=user",
            },
            {
              title: t("Failed"),
              icon: Note,
              href: "/admin/transaction-history/list/failed?userType=user",
            },
            {
              title: t("TDS"),
              icon: Note,
              href: "/admin/transaction-history/list/tds?userType=user",
            },
            {
              title: t("GST"),
              icon: Note,
              href: "/admin/transaction-history/list/gst?userType=user",
            },
          ],
        },
        {
          title: t("Reports"),
          icon: PieChartSharp,
          child: [
            {
              title: t("Transaction_Report"),
              icon: PieChartSharp,
              href: "/admin/report/list?Type=transaction",
            },

            {
              title: t("Custom_GST_Report"),
              icon: PieChartSharp,
              href: "/admin/report/list?Type=GST",
            },
            {
              title: t("Custom_TDS_Report"),
              icon: PieChartSharp,
              href: "/admin/report/list?Type=TDS",
            },
            {
              title: t("Monthly_GST_Report"),
              icon: PieChartSharp,
              href: "/admin/report/list?Type=Monthly-GST",
            },
            {
              title: t("Monthly_TDS_Report"),
              icon: PieChartSharp,
              href: "/admin/report/list?Type=Monthly-TDS",
            },
            {
              title: t("Customer_Software_Report"),
              icon: PieChartSharp,
              href: "/admin/report/list?Type=custom-software",
            },
            {
              title: t("Master_Distributor_Report"),
              icon: PieChartSharp,
              href: "/admin/report/list?Type=master-distributor",
            },
            {
              title: t("Distributor_Report"),
              icon: PieChartSharp,
              href: "/admin/report/list?Type=distributor",
            },
            {
              title: t("Retailer_Report"),
              icon: PieChartSharp,
              href: "/admin/report/list?Type=retailer",
            },

          ],
        },

      ],
    },
  };
};



export default useMenusConfig;
